%define upstream_name	 SVG
%define upstream_version 2.87

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Perl extension for generating Scalable Vector Graphics (SVG) documents
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/SVG/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Exporter)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Test::More) >= 0.940.0
BuildRequires: perl(constant)
BuildRequires: perl(parent)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
SVG is a Perl module which generates a nested data structure containing the
DOM representation of an SVG (Scalable Vector Graphics) image. Using SVG, you
can generate SVG objects, embed other SVG instances into it, access the DOM
object, create and access javascript, and generate SMIL animation content.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
perl -pi -e 's/\cM//' examples/*.{pl,cgi}
%__perl Makefile.PL INSTALLDIRS=vendor
%make_build

%install
%make_install

%check
%make_build test

%files 
%doc Changes LICENSE META.json META.yml MYMETA.yml README examples
%{perl_vendorlib}/SVG
%{perl_vendorlib}/SVG.pm
%{_mandir}/*/*

%changelog
* Thu May 26 2022 tv <tv> 2.870.0-1.mga9
+ Revision: 1860234
- update to 2.87

* Mon Mar 21 2022 umeabot <umeabot> 2.860.0-2.mga9
+ Revision: 1814414
- Mageia 9 Mass Rebuild

* Sat Apr 24 2021 tv <tv> 2.860.0-1.mga9
+ Revision: 1719209
- update to 2.86

* Fri Jul 03 2020 tv <tv> 2.850.0-1.mga8
+ Revision: 1601569
- update to 2.85

* Wed Feb 12 2020 umeabot <umeabot> 2.840.0-3.mga8
+ Revision: 1506172
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 2.840.0-2.mga7
+ Revision: 1285972
- Mageia 7 Mass Rebuild

* Sun Feb 25 2018 shlomif <shlomif> 2.840.0-1.mga7
+ Revision: 1205010
- update to 2.84

* Tue Dec 26 2017 shlomif <shlomif> 2.820.0-1.mga7
+ Revision: 1185332
- update to 2.82

* Sun Dec 10 2017 shlomif <shlomif> 2.800.0-1.mga7
+ Revision: 1182080
- update to 2.80

* Sat Jul 22 2017 shlomif <shlomif> 2.780.0-1.mga7
+ Revision: 1128905
- update to 2.78

* Sun Jun 19 2016 pterjan <pterjan> 2.640.0-3.mga6
+ Revision: 1033563
- Rebuild for perl 5.22.2

* Fri Feb 19 2016 umeabot <umeabot> 2.640.0-2.mga6
+ Revision: 967975
- Mageia 6 Mass Rebuild

* Sun Jul 05 2015 sander85 <sander85> 2.640.0-1.mga6
+ Revision: 851001
- update to 2.64

* Wed Oct 15 2014 umeabot <umeabot> 2.590.0-4.mga5
+ Revision: 739578
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.590.0-3.mga5
+ Revision: 686152
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 2.590.0-2.mga4
+ Revision: 527297
- Mageia 4 Mass Rebuild

* Fri Jun 07 2013 jquelin <jquelin> 2.590.0-1.mga4
+ Revision: 439846
- update to 2.59

* Sun Jan 13 2013 umeabot <umeabot> 2.530.0-2.mga3
+ Revision: 372445
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Aug 31 2012 kharec <kharec> 2.530.0-1.mga3
+ Revision: 286476
- update to 2.53

* Tue Jun 05 2012 jquelin <jquelin> 2.520.0-1.mga3
+ Revision: 255405
- update to 2.52

* Sat Jan 22 2011 jquelin <jquelin> 2.500.0-1.mga1
+ Revision: 31110
- mageia rebuild
- imported package perl-SVG

